100 REMark Qbox to Pbox file conversion.
110 REMark You may need to edit some of the database files by hand as the
120 REMark conversion programs assume all data in the original Qbox files
130 REMark is correct and complete.
140 :
150 REMark this program expects to run under SMSQ and needs some extension
160 REMark files loading - these are  DATA_BIN  and  DBAS_BIN
170 REMark These files are also needed by Pbox itself.
180 REMark change  SOURCEDIR$ to the directory where the conversion programs are, and DESTDIR$ to where you want Pbox to install.
190 :
200 SOURCEDIR$ = 'win1_pbox_acc_'
210 WTV 4
220 REMark first create the directory structure....
230 OPEN#3;SOURCEDIR$&'tree_txt'
240 INPUT#3,DESTDIR$
250 IF FTEST(DESTDIR$)<>0:MAKE_DIR DESTDIR$
260 REPeat loop
270   IF EOF(#3):EXIT loop
280   INPUT#3,a$
290   IF FTEST(a$)<>0:MAKE_DIR a$
300 END REPeat loop
310 CLOSE#3
320 DATA_USE DESTDIR$
330 REMark now create some empty databases....
340 :
350 CLS:PRINT 'Creating empty Pbox database files.'
360 EXEC_W SOURCEDIR$&'createdbs_bas'
370 :
380 CLS:PRINT 'Converting mareas/echoctl files and message databases'
390 PRINT 'You may need to edit the area names and sizes in "mareas_dbs" later.'
400 PRINT 'The conversion program assumes 1000 messages per area, and reads'
410 PRINT 'the area name from the first word of description in "mareas_bbs"'
420 PRINT 'You might like to edit "mareas_bbs" before continuing.'
430 EXEC_W SOURCEDIR$&'mareasconvert_bas'
440 :
450 REMark now convert users_bbs
460 CLS
470 PRINT 'Converting "users_bbs"'
480 EXEC_W SOURCEDIR$&'userconvert_bas'
490 :
500 CLS
510 PRINT 'Merging in "stats_bbs"'
520 EXEC_W SOURCEDIR$&'statsconvert_bas'
530 CLS
540 PRINT 'Converting files_bbs/tareas_bbs to Pbox format.'
550 PRINT 'The conversion program will only copy files which appear in the various'
560 PRINT 'qbox "files_bbs" files, so hidden or private files are not converted.'
570 PRINT 'You will need to add these to "files_dbs" manually later.'
580 PRINT 'Filenames are read from "fareas_bbs" in the same way as "mareas_bbs"'
590 PRINT 'earlier. You might like to modify "fareas_bbs" before proceeding.'
600 EXEC_W SOURCEDIR$&'fareasconvert_bas'
610 CLS
620 PRINT'Ok, thats the installation completed. Now test the system out with a'
630 PRINT 'minimal setup. For this you need the extension files, then exec a server'
640 PRINT '(pserve_exe) and a local login button (login_exe). Move around the '
650 PRINT 'system as if you were a normal phone caller. If everything is ok, you'
660 PRINT 'are ready to roll. If not. re-check the installation. The most likely'
670 PRINT 'errors are in the _dbs or _dat files. these may need to be edited manually'
